#include "Mix/Private/Dynamics/Joint.h"

namespace Mix{ namespace Dynamics{

Joint::Joint( void ) :
m_bInWorld( False )
{
	m_DebugDrawFlags = Mix::Dynamics::DD_JOINT_FRAME | Mix::Dynamics::DD_JOINT_LIMIT;
	m_DebugDrawFrameMinSize = 0.01f;
	m_DebugDrawLimitScaling = 0.1f;
}

Joint::~Joint( void )
{
}

Boolean Joint::IsInWorld( void ) const
{
	return m_bInWorld;
}

}}
